<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="/prod/style.css">
</head>
<body>
    <div class="content">
        <h1>Объекты. Сложный тип данных</h1>
        <span>
            Объекты похожи на массивы, но для доступа к элементам объекта используются строки, а не числа. Эти строки называются ключами либо свойствами, а элементы, которые им соответствуют называют значениями, вместе эти фрагменты информации образуют пары <b> ключ- значение. </b>
            <br>
            <br>
            var murka ={ 
                <br>
                "legs": 4,
                <br>
                "name":"murka",
                <br>
                "color":"black"
                <br>
            };
            <br><br>
                В кавычках, перед двоеточием мы указываем свойство и после двоеточие указывается значение(любого типа), если мы сейчас нажмем в консоли(естесственно введя объект в консоль) энтер у нас сохраниця этот обьект и его можно использовать. 
                <br>
                <b> Доступ к элементы мы получаем так : </b>
                <br><br>
                murka["name"]; 
                <br>
                <b>И еще так:</b>  
                <br>
                <br>
                murka.name; - это называется точечная нотация
                <br>
                <br> 
                <b> Чтобы узнать какие есть ключи у объекта: </b>
                <br>
                Object.keys(murka);
                <br>
                <br>
                <b> Чтобы заполнить пустой обьект:</b>
                <br>
                <br>
                var cat={}; - создаем пустой объект
                <br>
                cat["legs"] = 4; - в квадратных скобках объявляем ключ legs и присваеваем ему значение 4 
                <br>
                 
         </span>
    </div>
</body>
</html>